{
  "name": "api",
  "version": "0.0.0",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "tsx watch src/server.ts",
    "build": "tsc -p tsconfig.json",
    "start": "node dist/server.js",
    "test": "cross-env NODE_ENV=test mocha",
    "prisma:generate": "prisma generate",
    "prisma:migrate": "prisma migrate dev",
    "prisma:seed": "prisma db seed",
    "postinstall": "prisma generate"
  },
  "prisma": {
    "seed": "tsx prisma/seed.ts"
  },
  "dependencies": {
    "@batch-cooking/date-tools": "workspace:*",
    "@batch-cooking/error-tools": "workspace:*",
    "@batch-cooking/express-tools": "workspace:*",
    "@batch-cooking/shared": "workspace:*",
    "@prisma/client": "^5.22.0",
    "argon2": "0.31.2",
    "dotenv": "^16.4.5",
    "express": "^4.21.1",
    "jsonwebtoken": "^9.0.3",
    "prisma": "^5.22.0",
    "zod": "^3.23.8"
  },
  "devDependencies": {
    "@faker-js/faker": "^10.6.0",
    "@types/express": "^4.17.21",
    "@types/jsonwebtoken": "^9.0.10",
    "@types/node": "^22.9.0",
    "@types/supertest": "^6.0.2",
    "chai": "^5.1.2",
    "cross-env": "^10.1.0",
    "mocha": "^10.8.2",
    "supertest": "^7.0.0",
    "tsx": "^4.19.2",
    "typescript": "^5.7.2"
  }
}
